#!/bin/bash

# Priviledged mode for running docker inside docker.
if [[ $HOSTNAME == "kunkel-ThinkPad-X1-Carbon-5th" ]] ; then
docker run -p 8080:80 -h hps -it --rm --privileged -v $PWD/../:/data/ kunkel/oer # -d
else # SSL mode
docker run -p 8080:80 -h hps -it --rm --privileged -v $PWD/../:/data/ -v /etc/letsencrypt/archive/oer.hps.vi4io.org/:/data/ssl kunkel/oer # -d
fi

# local mode:
# docker run -p 127.0.0.1:8080:80 -h hps -it --rm --privileged -v $PWD/../:/data/ kunkel/oer # -d
